name: aoc
version: 0.1.0.0
github: "smunix/aoc2021"
license: BSD3
author: "Providence Salumu"
maintainer: "Providence.Salumu@smunix.com"
copyright: "2021 Providence Salumu"

extra-source-files:
  - README.md
  - ChangeLog.md

data-files:
  - ./**/assets/**/*

default-extensions:
  - BlockArguments
  - BangPatterns
  - DataKinds
  - DeriveDataTypeable
  - DeriveFunctor
  - DeriveFoldable
  - DeriveGeneric
  - DeriveTraversable
  - DeriveAnyClass
  - DerivingVia
  - FlexibleInstances
  - FlexibleContexts
  - FunctionalDependencies
  - GADTs
  - InstanceSigs
  - LambdaCase
  - MultiWayIf
  - MultiParamTypeClasses
  - OverloadedStrings
  - RecordWildCards
  - ViewPatterns
  - RankNTypes
  - ScopedTypeVariables
  - StandaloneDeriving
  - TypeApplications
  - TypeFamilies
  - TypeOperators
  - TemplateHaskell

dependencies:
  - base >= 4.7 && < 5
  - bytestring
  - containers
  - hashable
  - hedgehog
  - mtl
  - optics
  - optics-extra
  - optics-th
  - optics-vl
  - optparse-applicative
  - optparse-generic
  - parsers
  - ref-fd
  - text
  - transformers
  - trifecta
  - unordered-containers
  - vector
  - winery
  - with-utf8

ghc-options:
  - -O2

internal-libraries:
  core:
    source-dirs: src/core
  d01:
    source-dirs: src/d01
    dependencies:
      - core
  d02:
    source-dirs: src/d02
    dependencies:
      - core
  d03:
    source-dirs: src/d03
    dependencies:
      - core
  d04:
    source-dirs: src/d04
    dependencies:
      - core
  d05:
    source-dirs: src/d05
    dependencies:
      - core

executables:
  dayNN:
    main: Main.hs
    source-dirs: app/dayNN
    dependencies:
      - core
      - d01
      - d02
      - d03
      - d04
      - d05
    ghc-options:
      - -threaded
      - -rtsopts
      - -with-rtsopts=-N

